Thu Dec 20 13:08:22 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/Base/NSExceptionTest.java: New test.
	* Java/Base/GNUmakefile: Compile it.
	* Java/Base/test-base: Run it.
	
Tue Nov 27 22:52:57 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/Base/Benchmarks/NSArray10Benchmark.java: New test.
	* Java/Base/Benchmarks/GNUmakefile: Compile it.
	* Java/Base/Benchmarks/benchmark-base: Run it.
	
Sun Nov 25 12:39:24 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/Base/Benchmarks/NSArray8Benchmark.java: New file.
	* Java/Base/Benchmarks/NSArray9Benchmark.java: New file.
	* Java/Base/Benchmarks/NSDictionary0Benchmark.java: New file.
	* Java/Base/Benchmarks/NSDictionary1Benchmark.java: New file.
	* Java/Base/Benchmarks/NSDictionary2Benchmark.java: New file.
	* Java/Base/Benchmarks/NSDictionary3Benchmark.java: New file.
	* Java/Base/Benchmarks/Hashtable0Benchmark.java: New file.
	* Java/Base/Benchmarks/Hashtable1Benchmark.java: New file.
	* Java/Base/Benchmarks/Hashtable2Benchmark.java: New file.
	* Java/Base/Benchmarks/Hashtable3Benchmark.java: New file.
	* Java/Base/Benchmarks/benchmark-base: Process first argument 
	if any; --help, -h or a benchmark name.  Added the new benchmarks.
	* Java/Base/Benchmarks/GNUmakefile: Compile the new files.

Sun Nov 25 01:38:45 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/Base/Benchmarks/benchmark-base: New file.
	* Java/Base/Benchmarks/Driver.java: Rewritten to run with an
	argument and run that single benchmark ... to avoid interferences
	between benchmarks due to the garbage collector.
	* Java/Base/Benchmarks/SecondaryThreadBenchmark.java: New file.
	* Java/Base/Benchmarks/ObjCMethodSecondThreadBenchmark.java:
	New file.
	* Java/Base/Benchmarks/ObjCToStringSecondThreadBenchmark.java:
	New file.
	* Java/Base/Benchmarks/ObjCNewObjectSecondThreadBenchmark.java:
	New file.
	* Java/Base/Benchmarks/GNUmakefile: Compile the new secondary
	thread benchmakrs; use benchmark-base to run `make benchmark'.

Sat Nov 24 16:00:05 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/Base/NSArrayTest.java: Added test creating a big array.

Wed Nov 21 15:48:23 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/Base/Benchmarks: New directory.
	* Java/Base/Benchmarks/README: New file.
	* Java/Base/Benchmarks/GNUmakefile: New file.
	* Java/Base/Benchmarks/ArrayBenchmark.java: New file.
	* Java/Base/Benchmarks/Benchmark.java: New file.
	* Java/Base/Benchmarks/Driver.java: New file.
	* Java/Base/Benchmarks/EmptyBenchmark.java: New file.
	* Java/Base/Benchmarks/JavaMethodBenchmark.java: New file.
	* Java/Base/Benchmarks/JavaNewObjectBenchmark.java: New file.
	* Java/Base/Benchmarks/JavaToStringBenchmark.java: New file.
	* Java/Base/Benchmarks/NSArray0Benchmark.java: New file.
	* Java/Base/Benchmarks/NSArray1Benchmark.java: New file.
	* Java/Base/Benchmarks/NSArray2Benchmark.java: New file.
	* Java/Base/Benchmarks/NSArray3Benchmark.java: New file.
	* Java/Base/Benchmarks/NSArray4Benchmark.java: New file.
	* Java/Base/Benchmarks/NSArray5Benchmark.java: New file.
	* Java/Base/Benchmarks/NSArray6Benchmark.java: New file.
	* Java/Base/Benchmarks/NSArray7Benchmark.java: New file.
	* Java/Base/Benchmarks/ObjCMethodBenchmark.java: New file.
	* Java/Base/Benchmarks/ObjCNewObjectBenchmark.java: New file.
	* Java/Base/Benchmarks/ObjCToStringBenchmark.java: New file.
	* Java/Base/Benchmarks/StringComparisonBenchmark.java: New file.
	* Java/Base/Benchmarks/StringConcatenationBenchmark.java: 
	New file.
	* Java/Base/Benchmarks/Vector0Benchmark.java: New file.
	* Java/Base/Benchmarks/Vector1Benchmark.java: New file.
	* Java/Base/Benchmarks/Vector2Benchmark.java: New file.
	* Java/Base/Benchmarks/Vector3Benchmark.java: New file.
	* Java/Base/Benchmarks/Vector4Benchmark.java: New file.
	* Java/Base/Benchmarks/Vector5Benchmark.java: New file.
	* Java/Base/Benchmarks/Vector6Benchmark.java: New file.
	* Java/Base/Benchmarks/Vector7Benchmark.java: New file.

Wed Sep 12 11:11:28 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Objc/main.m (print_object): New function. 
	(test_primitive_type, main): Use print_object whenever printing an
	object description using printf; removed all calls to
	JIGSRegisterJavaClass as with the new JIGS engine those are not
	needed any longer.

Tue Sep 11 16:16:23 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Objc/main.m (main): Make sure we can manage nil results.

Fri Jul 27 13:18:22 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Objc/main.m (main): Added test for calling a Java method 
	with two arguments from ObjC.

Fri Jul 27 11:28:35 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Objc/main.m (main): Do not register the java.lang.System class
	because now we hack the runtime to load it in automatically when
	not found.  Try messaging a non-existing class to check that the
	new code doesn't crash in that situation.

Mon Jul  9 15:30:33 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/Base/NSDictionaryTest.java: Added tests for
	removeObjectForKey () and mutableClone ().

Thu Jun  7 15:48:17 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Objc/main.m (test_primitive_type): New function to test
	passing various primitive types to Java.
	* Objc/main.m (main): Call it.

Mon Jun  4 15:48:02 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Objc/GNUstep-Java.sh: Moved to Makefiles/.
	* Objc/jigs.make: Moved to Makefiles/.
	* Objc/GNUmakefile: Include jigs.make from GNUSTEP_MAKEFILES
	rather than from local dir.
	* Objc/README: Updated.
	
Tue May 22 02:51:39 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Objc/GNUstep-Java.sh: New script which sets up everything to
	link and run stuff which starts a JVM.
	* Objc/jigs.make: Trivialized - most code now in GNUstep-Java.sh.
	* Objc/openjavatool: Removed.
	* Objc/GNUmakefile: Do not run openjavatool, but execute the file
	directly.
	* Objc/README: Rewritten.
	
Mon May  7 04:40:37 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Objc/main.m: For libFoundation, redefine lossyCString to be
	cString.

Sun May  6 21:16:26 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Objc/main.m: Added testing of accessing Java objects' instance
	variables from Objective-C by using key/value coding.  Code
	#ifdefed out.
	
Sun May  6 21:12:03 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/Base/NSKeyValueCodingTest.java: New test.
	* Java/Base/GNUmakefile: Added the new test.
	* Java/Base/test-base: Idem.

Sat May  5 23:39:46 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/Base/NSNumberTest.java: Removed testing of booleans.

Sat May  5 23:16:11 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/Base/NSNumberTest.java: Test passing back and forth simple
	BigInteger objects.

Sat May  5 21:40:31 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/Base/NSNumberTest.java: New test.
	* Java/Base/GNUmakefile (gnu.gnustep.base-test_JAVA_FILES): Added
	NSNumberTest.java.
	* Java/Base/test-base (tests_to_run): Added NSNumberTest.

Sat May  5 21:34:33 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Objc/main.m (main): Added (#ifdefed out) code to test
	boolean/number morphing.

Sat May  5 18:30:50 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Objc/GNUmakefile (check): Added to speed testing.

Sat May  5 16:19:45 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/Base/GNUmakefile (after-distclean): Remove test-base.log.

Sat May  5 16:17:26 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Objc/openjavatool (JAVA_HOME): Added for JDK 1.3.0.

Sat May  5 16:09:02 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/Base/test-base: Log output from tests to test-base.log.
	* Java/Base/NSProcessInfoTest.java: Fixed typo in output string.

Fri Feb  9 15:40:34 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/Base/NSDictionaryTest.java: New test.
	* Java/Base/GNUmakefile, Java/Base/test-base: Added test.

Fri Feb  9 14:39:09 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/Base/NSArrayTest.java: Added tests for NSArray methods 
	taking or returning a java object array.

Fri Feb  9 11:34:44 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/: Rearranged everything; updated most files.
	* Java/Base/: New directory; all base tests moved there; 
	added check target running all tests in sequence.
	* Java/Gui/: New directory; all gui tests moved there.

Tue Feb  6 18:24:12 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/NSDataTest.java: New test.
	* Java/GNUmakefile (gnu.gnustep.java-test_JAVA_FILES): Added the
	new test.
	
Thu Nov 30 12:12:47 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Objc/main.m (main): Initialize NSProcessInfo if building 
	with GS_PASS_ARGUMENTS.

Thu Nov 30 11:04:49 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	Patches by Helge Hess <helge.hess@skyrix.com>:
	* Objc/jigs.make (JAVA_VM_LIBS): Added flags for Sun's JDK 1.3.
	* Objc/main.m (main): Initialize libFoundation if we are compiling 
	for libFoundation.

Thu Nov 16 10:58:02 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/NSButtonTest2.java: New test.
	* Java/GNUmakefile: Added the new test.

Wed Nov 15 17:31:06 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/NSButtonTest.java: New test.
	* Java/GNUmakefile: Added the new test.

Mon Nov 13 10:23:06 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/ThreadsTest.java: New test.
	* Java/GNUmakefile: Added the new test.
	
Fri Nov 10 15:04:32 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Objc/jigs.make: Added flags for blackdown 1.3.0.

Fri Nov  3 15:58:13 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/NSArrayTest.java: Test the NSArray.NotFound constant.
	* Java/NSWindowTest.java: Use the new NSWindow constants.

Wed Nov  1 16:18:12 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/NSWindowTest.java: New test.
	* Java/GNUmakefile: Added the new test.

Wed Nov  1 11:20:32 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/NSArrayTest.java: Added test for overloaded indexOf ().

Tue Oct 31 13:32:59 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/NSPropertyListSerializationTest.java: Added demo of 
	converting to/from NSData.

Fri Oct 20 17:31:09 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/NSPropertyListSerializationTest.java: New test.
	* Java/GNUmakefile: Added the new test.
	
Fri Oct 20 12:49:35 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Java/NSNotificationCenterTest.java: New test.
	* Java/GNUmakefile: Added the new test.
	
Fri Oct  6 13:11:30 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/NSSelectorTest.java: New test.
	* Java/GNUmakefile: Added the new test.
	* Objc/main.m (main): Added test for loading in overloaded methods.
	
Fri Sep 29 18:39:04 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* Objc/main.m (main): Improved message.

Fri Sep 29 17:59:18 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* Objc: New directory.
	* Objc/GNUmakefile: New file.
	* Objc/main.m: New file.
	* Objc/jigs.make: New file.
	* Objc/openjavatool: New file.
	* Objc/README: New file.
	
Tue Sep 26 15:47:18 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/NSTaskTest.java: Added test for NSTask.
	* Java/GNUmakefile: Added the new test.
	
Tue Sep 26 12:55:46 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/NSDateTest.java: Added a quick test for the NSTimeInterval 
	mapping to double.
	* Java/GNUmakefile: Added the new test.

Wed Sep  6 01:35:55 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/NSApplicationTest.java: New file.
	* Java/GNUmakefile: Added the new test.

Tue Sep  5 16:06:54 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/NSProcessInfoTest.java: New file.
	* Java/GNUmakefile: Added the new test.
	* Java/README: Added comment about setting the library 
	path before running the java tests.

Sat Aug 19 22:28:17 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/NSArrayTest.java: New file.
	* Java/GNUmakefile: Added the new test.

Wed Aug  2 18:42:31 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/NSObjectSubclassTest.java: New file.
	* Java/GNUmakefile: Added the new test.

Mon Jul 31 12:34:50 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* Java/GNUmakefile: New file. 
	* Java/NSObjectTest.java: New file. 
	* Java/README: New file. 
